Subject: [PATCH] area: /t/t4204-log.sh, partially modernized test script t4202

From: "Jack McGuinness via GitGitGadget" <[email-masked]>
Date: Sat, 16 Apr 2022 08:09:10 +0000

From: Jack <[email-masked]>

Remove test body indentations made with spaces, replace with tabs.
Remove blank lines at start and end of test bodies.

Signed-off-by: Jack McGuinness <[email-masked]>
---
    [GSoC][PATCH] Applicant Microproject - Modernizing t4202
    
    Hi, My name is Jack McGuinness, and a while ago I expressed my interest
    in git and GSoC. However, due to some personal and academic reasons I
    haven't been able to work on my micro project since then. I was able to
    work on my proposal, and I will be finished with it before the
    submission deadline, but I just want to express my apologies for doing
    this so late.
    
    In my patch, I completed the first four bullet points described in
    https://lore.kernel.org/git/[email-masked]/
    . I will complete the rest of them for t4202 over the rest of today, and
    submit their respective patches promptly.
    
    It has taken a few tries to get submitting my patch wrong due to a
    plethora of problems, but I think this time it will work.
    
    Thanks for your time, Jack.

Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-1218%2FJackMcGu%2Fmaster-v1
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-1218/JackMcGu/master-v1
Pull-Request: https://github.com/gitgitgadget/git/pull/1218

 t/t4202-log.sh | 33 ++++++---------------------------
 1 file changed, 6 insertions(+), 27 deletions(-)

diff --git a/t/t4202-log.sh b/t/t4202-log.sh
index be07407f855..6fa9f7500ac 100755
--- a/t/t4202-log.sh
+++ b/t/t4202-log.sh
@@ -49,26 +49,22 @@ test_expect_success setup '
 
 printf "sixth\nfifth\nfourth\nthird\nsecond\ninitial" > expect
 test_expect_success 'pretty' '
-
 	git log --pretty="format:%s" > actual &&
 	test_cmp expect actual
 '
 
 printf "sixth\nfifth\nfourth\nthird\nsecond\ninitial\n" > expect
 test_expect_success 'pretty (tformat)' '
-
 	git log --pretty="tformat:%s" > actual &&
 	test_cmp expect actual
 '
 
 test_expect_success 'pretty (shortcut)' '
-
 	git log --pretty="%s" > actual &&
 	test_cmp expect actual
 '
 
 test_expect_success 'format' '
-
 	git log --format="%s" > actual &&
 	test_cmp expect actual
 '
@@ -83,13 +79,11 @@ cat > expect << EOF
 EOF
 
 test_expect_success 'format %w(11,1,2)' '
-
 	git log -2 --format="%w(11,1,2)This is the %s commit." > actual &&
 	test_cmp expect actual
 '
 
 test_expect_success 'format %w(,1,2)' '
-
 	git log -2 --format="%w(,1,2)This is%nthe %s%ncommit." > actual &&
 	test_cmp expect actual
 '
@@ -103,47 +97,37 @@ $(git rev-parse --short :/second ) second
 $(git rev-parse --short :/initial) initial
 EOF
 test_expect_success 'oneline' '
-
 	git log --oneline > actual &&
 	test_cmp expect actual
 '
 
 test_expect_success 'diff-filter=A' '
-
 	git log --no-renames --pretty="format:%s" --diff-filter=A HEAD > actual &&
 	git log --no-renames --pretty="format:%s" --diff-filter A HEAD > actual-separate &&
 	printf "fifth\nfourth\nthird\ninitial" > expect &&
 	test_cmp expect actual &&
 	test_cmp expect actual-separate
-
 '
 
 test_expect_success 'diff-filter=M' '
-
 	git log --pretty="format:%s" --diff-filter=M HEAD >actual &&
 	printf "second" >expect &&
 	test_cmp expect actual
-
 '
 
 test_expect_success 'diff-filter=D' '
-
 	git log --no-renames --pretty="format:%s" --diff-filter=D HEAD >actual &&
 	printf "sixth\nthird" >expect &&
 	test_cmp expect actual
-
 '
 
 test_expect_success 'diff-filter=R' '
-
 	git log -M --pretty="format:%s" --diff-filter=R HEAD >actual &&
 	printf "third" >expect &&
 	test_cmp expect actual
-
 '
 
 test_expect_success 'multiple --diff-filter bits' '
-
 	git log -M --pretty="format:%s" --diff-filter=R HEAD >expect &&
 	git log -M --pretty="format:%s" --diff-filter=Ra HEAD >actual &&
 	test_cmp expect actual &&
@@ -152,19 +136,15 @@ test_expect_success 'multiple --diff-filter bits' '
 	git log -M --pretty="format:%s" \
 		--diff-filter=a --diff-filter=R HEAD >actual &&
 	test_cmp expect actual
-
 '
 
 test_expect_success 'diff-filter=C' '
-
 	git log -C -C --pretty="format:%s" --diff-filter=C HEAD >actual &&
 	printf "fourth" >expect &&
 	test_cmp expect actual
-
 '
 
 test_expect_success 'git log --follow' '
-
 	git log --follow --pretty="format:%s" ichi >actual &&
 	printf "third\nsecond\ninitial" >expect &&
 	test_cmp expect actual
@@ -820,7 +800,6 @@ test_expect_success 'log.decorate configuration' '
 	test_config log.decorate full &&
 	git log --pretty=raw >actual &&
 	test_cmp expect.raw actual
-
 '
 
 test_expect_success 'decorate-refs with glob' '
@@ -879,7 +858,7 @@ test_expect_success 'multiple decorate-refs' '
 	git log -n6 --decorate=short --pretty="tformat:%f%d" \
 		--decorate-refs="heads/octopus*" \
 		--decorate-refs="tags/reach" >actual &&
-    test_cmp expect.decorate actual
+	test_cmp expect.decorate actual
 '
 
 test_expect_success 'decorate-refs-exclude with glob' '
@@ -2037,7 +2016,7 @@ test_expect_success GPGSM 'log --graph --show-signature for merged tag x509 miss
 	GNUPGHOME=. git log --graph --show-signature -n1 plain-x509-nokey >actual &&
 	grep "^|\\\  merged tag" actual &&
 	grep -e "^| | gpgsm: certificate not found" \
-	     -e "^| | gpgsm: failed to find the certificate: Not found" actual
+		 -e "^| | gpgsm: failed to find the certificate: Not found" actual
 '
 
 test_expect_success GPGSM 'log --graph --show-signature for merged tag x509 bad signature' '
@@ -2190,10 +2169,10 @@ test_expect_success 'log --decorate includes all levels of tag annotated tags' '
 '
 
 test_expect_success 'log --end-of-options' '
-       git update-ref refs/heads/--source HEAD &&
-       git log --end-of-options --source >actual &&
-       git log >expect &&
-       test_cmp expect actual
+	   git update-ref refs/heads/--source HEAD &&
+	   git log --end-of-options --source >actual &&
+	   git log >expect &&
+	   test_cmp expect actual
 '
 
 test_expect_success 'set up commits with different authors' '

base-commit: 4027e30c5395c9c1aeea85e99f51ac62f5148145
-- 
gitgitgadget